import os
import json
import sys

yc_token = os.environ.get("YC_TOKEN")

for line in sys.stdin:
    ammo = json.loads(line)
    ammo["metadata"]["Authorization"] = "".join(["Bearer ", yc_token])
    print(json.dumps(ammo))
